## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:       bemenu
Version:    0.6.23
Release:    %{autorelease}
Summary:    Dynamic menu library and client program inspired by dmenu

# In case upstream do not bump program version when tagging; this should usually just resolve to %%{version}
%global     soversion   %{version}

# Library and bindings are LGPLv3+, other files are GPLv3+
License:    GPL-3.0-or-later AND LGPL-3.0-or-later
URL:        https://github.com/Cloudef/bemenu
Source0:    %{url}/releases/download/%{version}/%{name}-%{version}.tar.gz
Source1:    %{url}/releases/download/%{version}/%{name}-%{version}.tar.gz.asc
Source2:    https://cloudef.pw/bemenu-pgp.txt

Patch:      respect-env-build-flags.patch

BuildRequires:  gcc
BuildRequires:  gnupg2
BuildRequires:  make
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(pangocairo)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  scdoc

%description
%{summary}.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for extending %{name}.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -p1

%build
%set_build_flags
%make_build   PREFIX='%{_prefix}' libdir='/%{_lib}'

%install
%make_install PREFIX='%{_prefix}' libdir='/%{_lib}'

%files
%doc README.md
%license LICENSE-CLIENT LICENSE-LIB
%{_bindir}/%{name}
%{_bindir}/%{name}-run
%{_mandir}/man1/%{name}*.1*
# Long live escaping! %%%% resolves to %%; ${v%%.*} strips everything after first dot
%{_libdir}/lib%{name}.so.%(v=%{soversion}; echo ${v%%%%.*})
%{_libdir}/lib%{name}.so.%{soversion}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/%{name}-renderer-curses.so
%{_libdir}/%{name}/%{name}-renderer-wayland.so
%{_libdir}/%{name}/%{name}-renderer-x11.so

%files devel
%doc README.md
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%dir %{_libdir}/pkgconfig
%{_libdir}/pkgconfig/%{name}.pc


%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Jul 22 2024 Jan Staněk <jstanek@redhat.com> - 0.6.23-1
- Update to version 0.6.23 (rhbz#2298939)

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jul 09 2024 Jan Staněk <jstanek@redhat.com> - 0.6.22-1
- Update to version 0.6.22 (rhbz#2296376)

* Wed Mar 13 2024 Jan Staněk <jstanek@redhat.com> - 0.6.21-1
- Update to version 0.6.21 (rhbz#2268426)

* Mon Feb 19 2024 Jan Staněk <jstanek@redhat.com> - 0.6.19-2
- Migrate to SPDX license

* Tue Feb 06 2024 Jan Staněk <jstanek@redhat.com> - 0.6.19-1
- Update to version 0.6.19 (rhbz#2262385)

* Mon Jan 29 2024 Jan Staněk <jstanek@redhat.com> - 0.6.17-1
- Update to version 0.6.17 (rhbz#2260729)

* Tue Jan 23 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Sep 04 2023 Jan Staněk <jstanek@redhat.com> - 0.6.16-1
- Update to version 0.6.16 (rhbz#2236381)

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue May 16 2023 Jan Staněk <jstanek@redhat.com> - 0.6.15-1
- Update to version 0.6.15

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 04 2023 Jan Staněk <jstanek@redhat.com> - 0.6.14-1
- Update to version 0.6.14

* Wed Oct 12 2022 Jan Staněk <jstanek@redhat.com> - 0.6.13-1
- Update to version 0.6.13

* Mon Oct 10 2022 Jan Staněk <jstanek@redhat.com> - 0.6.12-1
- Update to version 0.6.12

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jul 11 2022 Jan Staněk <jstanek@redhat.com> - 0.6.10-1
- Update to version 0.6.10

* Fri Jul 01 2022 Jan Staněk <jstanek@redhat.com> - 0.6.8-1
- Update to version 0.6.8

* Tue Feb 22 2022 Jan Staněk <jstanek@redhat.com> - 0.6.7-1
- Update to version 0.6.7

* Thu Feb 10 2022 Jan Staněk <jstanek@redhat.com> - 0.6.5-1
- Update to version 0.6.5

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Dec 06 2021 Jan Staněk <jstanek@redhat.com> - 0.6.4-1
- Update to version 0.6.4

* Thu Jul 22 2021 Jan Staněk <jstanek@redhat.com> - 0.6.3-1
- Upgrade to version 0.6.3

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jun 10 2021 Jan Staněk <jstanek@redhat.com> - 0.6.2-1
- Upgrade to version 0.6.2

* Mon May 24 2021 Jan Staněk <jstanek@redhat.com> - 0.6.1-1
- Upgrade to version 0.6.1

* Thu May 20 2021 Jan Staněk <jstanek@redhat.com> - 0.6.0-1
- Upgrade to version 0.6.0

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 07 2020 Jan Staněk <jstanek@redhat.com> - 0.5.0-1
- Upgrade to version 0.5.0

* Mon Apr 20 2020 Jan Staněk <jstanek@redhat.com> - 0.4.1-2
- Fix build-time path definitions (PREFIX, libdir, …)

* Tue Apr 14 2020 Jan Staněk <jstanek@redhat.com> - 0.4.1-1
- Upgrade to release 0.4.1

* Fri Feb 07 2020 Jan Staněk <jstanek@redhat.com> - 0.3.0-3
- Fix declarations of wayland globals (https://github.com/Cloudef/bemenu/pull/86)
- Enable GPG verification of source signatures

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jan 02 2020 Jan Staněk <jstanek@redhat.com> - 0.3.0-1
- Upgrade to release 0.3.0

* Fri Oct 25 2019 Jan Staněk <jstanek@redhat.com> - 0.2.0-1
- Upgrade to release 0.2.0

* Mon Aug 19 2019 Jan Staněk <jstanek@redhat.com> - 0.1.0-3.20190819git442d283
- Upgrade to snapshot 442d2833f48590122e5ce54a2bca3a327ffa0311

* Mon Jun 10 2019 Jan Staněk <jstanek@redhat.com> - 0.1.0-2.f464f0e
- Upgrade to snapshot f464f0e30a34c27babc9d533a52fbe260f134034

* Mon May 13 2019 Jan Staněk <jstanek@redhat.com> - 0.1.0.121367b
- Initial package import

## END: Generated by rpmautospec
